#!/bin/sh
#
#    DevDetect - small utility to detect new devices on local network
#    Copyright (C) 2017 CZ.NIC, z.s.p.o. (http://www.nic.cz/)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# intended for initializing known_macs file, adds all local mac addresses to known_macs file

# parsing lines in format 'ifname Link encap:Ethernet HWaddr 00:01:02:03:04:05'
# then getting only the last part, converting to json (last seen=2^32-1 - we don't want these addresses to be ever removed)
ifconfig -a | grep "Ethernet" | grep -i hwaddr | awk '{print "\"" tolower($NF)"\": 4294967295,"}'| sort | uniq | tr -d '\n' | sed 's/^/{/' | sed 's/,$/}/'
